function [llf_vec] = tobit_llf_heter(b0)
   global rhsvar depend bhhh dum_above_lim hetvar;
   [~,numbetas]=size(rhsvar);
   alp=b0(numbetas+1:end);  %*** Alpha Coefficients ***    
   betas=b0(1:numbetas);       %*** Beta Coefficients ***
   sigmasq=exp(hetvar*alp);  
   sigma = sigmasq.^0.5;
   argue=rhsvar*betas;
   error=(depend-argue);           %*** Error Term ***
   const=.5*(log(2*pi)+log(sigmasq));
   llf_part1=(-const-((error.^2)./(2.*sigmasq))).*dum_above_lim;
   llf_part2=log(1- normcdf(argue./sigma)).*(1-dum_above_lim);
   llf_tmp=llf_part1+llf_part2;
   if bhhh==1;
        llf_vec=llf_tmp;
        else llf_vec=sum(llf_tmp);
   end;
end